Subject: bug#28542: Temporary failure in name resolution while quitting emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 13:53:16 +0100

Glenn Morris <[email-masked]> writes:

> See https://debbugs.gnu.org/13697
>
> Putting anything on kill-emacs-hook that may need user input will hang
> Emacs in certain circumstances. (The lispref text on this reads clearly to me.)

I'm not quite sure I see the relevance here -- any prompt that Emacs
issues may hang Emacs in some circumstances, and there's nothing special
about adding a prompt here.

(I agree that there should be a way to make Emacs non-interactive -- I
run Emacs as a remote daemon a lot, and slapping down all the
interactive queries that pepper the Emacs code is a chore.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no